#
# spec file for package smplayer-themes
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           smplayer-themes
Version:        20.11.0
Release:        pm151.1.1
Summary:        Icon Themes for SMPlayer
License:        GPL-2.0-or-later
URL:            https://smplayer.info/
Source:         https://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  libqt5-qtbase-common-devel
Requires:       smplayer >= 14.9.0
BuildArch:      noarch

%description
SMPlayer is a front-end for MPV/MPlayer, from basic features like
playing videos, DVDs, and VCDs to more advanced features like support
for MPV filters and more.

SMPlayer remembers the settings of all files you play. Opening a
movie again will resume at the same point it was left, and with the
same chosen audio track, subtitles and volume level.

This package provides icon themes for SMPlayer.

%prep
%setup -q

%build
# Make rcc available.
export PATH="%{_libdir}/qt5/bin${PATH:+:$PATH}"

%make_build

%install
%make_install \
  PREFIX=%{_prefix}
%fdupes -s %{buildroot}%{_datadir}/smplayer/

%files
%license COPYING*
%doc Changelog README.txt
%dir %{_datadir}/smplayer/
%dir %{_datadir}/smplayer/themes/
%{_datadir}/smplayer/themes/*/

%changelog
* Mon Jan 11 2021 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 20.11.0:
  * Update the Papirus themes.
* Mon Sep  7 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 18.6.0 (changes since 17.2.0):
  * Delete the H2O theme (it's bundled with smplayer).
  * Add the Dark theme.
- Require smplayer instead of smplayer-core.
- Use Qt5 rcc instead of Qt4.
- Spec clean-up.
* Sun Feb  5 2017 aloisio@gmx.com
- Update to version 17.2.0
  * Update the themes Papirus and PapirusDark.
  * Add the theme ePapirus.
* Sun Sep 11 2016 dap.darkness@gmail.com
- Update to 16.8.0
  * Update the themes H2O, Masalla, Papirus and PapirusDark.
* Sun Jun  5 2016 dap.darkness@gmail.com
- Update to 16.6.0
  * Add the themes Papirus and PapirusDark.
* Sun May 15 2016 dap.darkness@gmail.com
- Update to 16.5.2 (changes from 15.6.0):
  * New themes Breeze and Breeze-dark by andreas_k;
  * Add a record icon to the H2O theme;
  * Change the AutohideWidget border in the H2O theme;
  * Add the Masalla theme;
  * Update the H2O theme;
  * Some fixes.
* Tue Jun 16 2015 dap.darkness@gmail.com
- Update to 15.6.0
  * Added experimental theme H2O. Still work in progress.
* Sat Mar 14 2015 dap.darkness@gmail.com
- Update to 14.12.0
  * New themes Faenza, Faenza-Darkest and Faenza-Silver, by
    Michele Angelico (tomberro at gmail dot com). Icons from
    http://qt-apps.org/content/show.php/smplayer-theme-faenza?content=156022
  * New theme Oxygen-KDE, by Ralsa Marsh (ralsa at autistici dot org)
* Sun Sep  7 2014 dap.darkness@gmail.com
- Update to 14.9.0
  * no upstream changelog.
* Sat Jul 12 2014 dap.darkness@gmail.com
- Update to 20140607:
  * no upstream changelog.
- Switched to download_files service.
- Removed clean section.
* Wed Apr  2 2014 tittiatcoke@gmail.com
- Update to 20131003
* Tue Oct  9 2012 i@margueirte.su
- update to 20120919
  * Add Monochrome theme, by goetzc.
    http://smplayer.sourceforge.net/forum/viewtopic.php?f=7&t=5592
* Wed Mar  3 2010 pascal@links2linux.de
- update to 0.1.20
* Thu Nov 26 2009 pascal.bleser@opensuse.org
- update to SVN revision 3327
* Mon Mar  2 2009 guru@unixtech.be
- update to 0.1.19
* Sat Oct 25 2008 guru@unixtech.be
- update to 0.1.17
* Wed Sep 12 2007 guru@unixtech.be
- moved to Packman
- new upstream version
* Thu Aug 23 2007 guru@unixtech.be
- new upstream version
* Sat Jun 23 2007 guru@unixtech.be
- new package
